# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=5

# ebuild generated by hackport 0.3.2.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="collection of crypto hashes, fast, pure and practical"
HOMEPAGE="https://github.com/vincenthz/hs-cryptohash"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+cryptoapi"

RDEPEND="dev-haskell/byteable:=[profile?]
		>=dev-lang/ghc-6.10.4:=
		cryptoapi? ( >=dev-haskell/cereal-0.2:=[profile?]
			>=dev-haskell/crypto-api-0.5:=[profile?]
			>=dev-haskell/tagged-0.1:=[profile?]
		)"
DEPEND="${RDEPEND}
		>=dev-haskell/cabal-1.8
		test? ( dev-haskell/hunit
			>=dev-haskell/quickcheck-2
			>=dev-haskell/test-framework-0.3.3
			dev-haskell/test-framework-hunit
			>=dev-haskell/test-framework-quickcheck2-0.2.9
		)"

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag cryptoapi cryptoapi)
}
