# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=5

# ebuild generated by hackport 0.3.5.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit haskell-cabal

DESCRIPTION="Binding to the glade library"
HOMEPAGE="http://projects.haskell.org/gtk2hs/"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"

LICENSE="LGPL-2.1"
SLOT="2/${PV}"
KEYWORDS="amd64 ~ppc ~ppc64 ~sparc x86"
IUSE=""

RDEPEND=">=dev-haskell/glib-0.12.5.0:0=[profile?]
	>=dev-haskell/gtk-0.12.5.0:2=[profile?]
	>=dev-lang/ghc-6.10.4:=
	gnome-base/libglade:2.0
"
DEPEND="${RDEPEND}
	>=dev-haskell/gtk2hs-buildtools-0.12.5.1-r1:0=
	>=dev-haskell/cabal-1.24
	virtual/pkgconfig
"

src_prepare() {
	epatch "${FILESDIR}"/${P}-ghc-7.10.patch

	# update to latest gtk2hs-buildtools
	rm Setup.hs || die
	rm Gtk2HsSetup.hs || die
	cp "${FILESDIR}"/Setup.hs ./ || die

	cabal_chdeps \
		'glib >= 0.12.5.0 && < 0.13' 'glib >= 0.12.5.0' \
		'gtk >= 0.12.5.0 && < 0.13' 'gtk >= 0.12.5.0'
}
