# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit qmake-utils

DESCRIPTION="Convert html to pdf (and various image formats) using webkit"
HOMEPAGE="https://wkhtmltopdf.org/ https://github.com/wkhtmltopdf/wkhtmltopdf/"
SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"

RDEPEND="
	dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtnetwork:5
	dev-qt/qtprintsupport:5
	dev-qt/qtsvg:5
	dev-qt/qtwebkit:5[printsupport]
	dev-qt/qtwidgets:5
"
DEPEND="${RDEPEND}
	dev-qt/qtxmlpatterns:5
"

DOCS=( AUTHORS CHANGELOG.md README.md )

PATCHES=(
	"${FILESDIR}"/${P}-build.patch
	"${FILESDIR}"/${P}-gcc6-warn.patch
)

src_prepare() {
	default
	sed -i "s:\(INSTALLBASE/\)lib:\1$(get_libdir):" src/lib/lib.pro || die
}

src_configure() {
	eqmake5 INSTALLBASE=/usr
}

src_install() {
	emake INSTALL_ROOT="${D}" install
	use examples && dodoc -r examples
	einstalldocs
}
