# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=5

# ebuild generated by hackport 0.3.2.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit base haskell-cabal

DESCRIPTION="Third party extensions for xmonad"
HOMEPAGE="http://xmonad.org/"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="amd64 ~ppc64 x86"
# hackport-args: --always-disabled='testing'
IUSE="+xft"

RDEPEND="dev-haskell/extensible-exceptions:=[profile?]
		>=dev-haskell/mtl-1:=[profile?]
		<dev-haskell/mtl-3:=[profile?]
		dev-haskell/random:=[profile?]
		dev-haskell/utf8-string:=[profile?]
		>=dev-haskell/x11-1.6.1:=[profile?]
		<dev-haskell/x11-1.7:=[profile?]
		>=dev-lang/ghc-6.10.4:=
		=x11-wm/xmonad-0.11*:=[profile?]
		xft? ( >=dev-haskell/x11-xft-0.2:=[profile?]
		)"
DEPEND="${RDEPEND}
		>=dev-haskell/cabal-1.6"

PATCHES=("${FILESDIR}"/${P}-ghc-7.8.patch)

src_configure() {
	haskell-cabal_src_configure \
		--flags=-testing \
		$(cabal_flag xft use_xft)
}
